#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 securemem
version:              0.1.10
visibility:           public
id:                   securemem-0.1.10-IqxMuGzWgkb4DS0vuOrIox
key:                  securemem-0.1.10-IqxMuGzWgkb4DS0vuOrIox
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           vincent@snarc.org
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             https://github.com/vincenthz/hs-securemem
synopsis:
    abstraction to an auto scrubbing and const time eq, memory chunk.

description:
    SecureMem is similar to ByteString, except that it provides a memory chunk that
    will be auto-scrubbed after it run out of scope.

category:             Data
abi:                  3c7aa120619f5d48f06cd25cbf28f57c
exposed:              True
exposed-modules:      Data.SecureMem
import-dirs:          /usr/lib/ghc-9.0.2/site-local/securemem-0.1.10
library-dirs:         /usr/lib/ghc-9.0.2/site-local/securemem-0.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-securemem
hs-libraries:         HSsecuremem-0.1.10-IqxMuGzWgkb4DS0vuOrIox
depends:
    base-4.15.1.0 byteable-0.1.1-F5eQFmfGgxkLWRm11Wu8en
    bytestring-0.10.12.1 ghc-prim-0.7.0
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf

haddock-interfaces:   /usr/share/doc/haskell-securemem/html/securemem.haddock
haddock-html:         /usr/share/doc/haskell-securemem/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

